Main Page Widgets Namespaces Book

# treemodel.h File Reference

## Namespaces

namespace | Gtk
namespace | Glib

## Classes

class | Gtk::TreeModel
| This class defines a generic tree interface for use by the Gtk::TreeView widget. More...

## Enumerations

enum | TreeModelFlags { TREE_MODEL_ITERS_PERSIST = 1 << 0, TREE_MODEL_LIST_ONLY = 1 << 1 }

## Functions

TreeModelFlags | operator| (TreeModelFlags lhs, TreeModelFlags rhs)
TreeModelFlags | operator& (TreeModelFlags lhs, TreeModelFlags rhs)
TreeModelFlags | operator^ (TreeModelFlags lhs, TreeModelFlags rhs)
TreeModelFlags | operator~ (TreeModelFlags flags)
TreeModelFlags& | operator|= (TreeModelFlags& lhs, TreeModelFlags rhs)
TreeModelFlags& | operator&= (TreeModelFlags& lhs, TreeModelFlags rhs)
TreeModelFlags& | operator^= (TreeModelFlags& lhs, TreeModelFlags rhs)